use crate::http_client::HttpClient;
use crate::url;

pub async fn get_request(feed: String) -> String {
    let base_url = url(&"feed_get");
    let url = format!("{}?feed={}", base_url, feed);
    let client = HttpClient::new();

    match client.get_with_auth(&url).await {
        Ok(response) => response,
        Err(_) => "err".to_string(),
    }
}
